/***************************************************************************************\

File Name:      AgpFlags.h

Description:    Flags used to identify features supported/unsupported by the AGP chipset.

References:     None.

Author:         Karl Lessard    <klessard@matrox.com>

    Copyright (c) 2001, Matrox Graphics Inc.
    All Rights Reserved.

\***************************************************************************************/

#ifndef INC_MTX_AGP_FLAGS_H
#define INC_MTX_AGP_FLAGS_H

#define AGPINFO_FLAG_DONE                   0x00000001L
#define AGPINFO_FLAG_PCIBOARD               0x00000002L
#define AGPINFO_FLAG_PCIXFER                0x00000004L
#define AGPINFO_FLAG_AGPBOARD               0x00000008L
#define AGPINFO_FLAG_AGPXFER                0x00000010L
#define AGPINFO_FLAG_AGPREADONLY            0x00000020L
#define AGPINFO_FLAG_AGPDELAY               0x00000040L
#define AGPINFO_FLAG_AGPSERIALIZE           0x00000080L
#define AGPINFO_FLAG_1XAFTERRESET           0x00000100L
#define AGPINFO_FLAG_HYBRID_CAP             0x00000200L
#define AGPINFO_FLAG_HYBRID_ENABLE          0x00000400L
#define AGPINFO_FLAG_FOUND_CHIPSET          0x00000800L
#define AGPINFO_FLAG_FOUND_CHIPSET_AGP      0x00001000L
#define AGPINFO_FLAG_FOUND_CHIPSET_ISA      0x00002000L
#define AGPINFO_FLAG_PCIALIGN64             0x00004000L
#define AGPINFO_FLAG_FASTWRITE              0x00008000L
#define AGPINFO_FLAG_PCIMEMORY              0x00010000L
#define AGPINFO_FLAG_AGPMEMORY              0x00020000L
#define AGPINFO_FLAG_PCIXFER_CAP            0x00040000L
#define AGPINFO_FLAG_AGPXFER_CAP            0x00080000L
#define AGPINFO_FLAG_PCIXFER_READ           0x00100000L
#define AGPINFO_FLAG_PCIXFER_WRITE          0x00200000L

#endif
